# H4609_Extension Class Reference

`#include <h4609.h>`

## Public Types

| e_extensionContent
enum | OptionalFields { e_extensionContent }

## Public Member Functions

| H4609_Extension (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H225_GenericIdentifier | m_extensionId
PASN_OctetString | m_extensionContent

## Member Enumeration Documentation

enum H4609_Extension::OptionalFields

Enumerator:

  e_extensionContent |

## Constructor & Destructor Documentation

H4609_Extension::H4609_Extension | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H4609_Extension::Clone | ( |  | ) | const

Comparison H4609_Extension::Compare | ( | const PObject & | obj | ) | const

PBoolean H4609_Extension::Decode | ( | PASN_Stream & | strm | ) |

void H4609_Extension::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H4609_Extension::GetDataLength | ( |  | ) | const

void H4609_Extension::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PASN_OctetString H4609_Extension::m_extensionContent

H225_GenericIdentifier H4609_Extension::m_extensionId

The documentation for this class was generated from the following file:

- h4609.h